Vue.component('menu-panel', {
  props: ['tab', 'subtab'],
  template:
`  <div class="sidebar-collapse animated fadeInLeft">
	<ul class="nav metismenu" id="side-menu">
		<li class="nav-header">
		</li>
		<li v-bind:class="{active: tab=='state'}">
			<a href="index.html"><span class="nav-label">Status</span></a>
		</li>
		<li v-bind:class="{active: tab=='process'}">
			<a><span class="nav-label">Processes</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='script'}"><a href="script_process.html">Script processes</a></li>
				<li v-bind:class="{active: subtab=='all'}"><a href="all_process.html">All processes</a></li>
				<li v-bind:class="{active: subtab=='console'}"><a href="remote_console.html">Console</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='screen'}">
			<a><span class="nav-label">Screen</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='current'}"><a href="current_screen.html">Current screen</a></li>
				<li v-bind:class="{active: subtab=='history'}"><a href="screen_history.html">Screen history</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='files'}">
			<a><span class="nav-label">File</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='watch'}"><a href="watch_files.html">Observed</a></li>
				<li v-bind:class="{active: subtab=='manager'}"><a href="file_manager.html">Manager</a></li>
			</ul> 
		</li>
		<li v-bind:class="{active: tab=='script'}">
			<a><span class="nav-label">Script</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='locales'}"><a href="locales.html">Variables</a></li>
				<li v-bind:class="{active: subtab=='config'}"><a href="script_config.html">Options</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='rk7'}">
			<a><span class="nav-label">RK7</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='windows'}"><a href="windows_rk7.html">RK7 windows</a></li>
				<li v-bind:class="{active: subtab=='xmlrequests'}"><a href="xml_requests.html">XML requests</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='other'}">
			<a><span class="nav-label">Other</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='info'}"><a href="info.html">Information</a></li>
				<li v-bind:class="{active: subtab=='events'}"><a href="events.html">Events</a></li>
				<!--<li v-bind:class="{active: subtab=='webapi'}"><a href="web_api.html">Web-API</a></li>-->
				<li v-bind:class="{active: subtab=='version'}"><a href="version_history.html">Versions</a></li>
			</ul>
		</li>
	</ul>
</div>`
});

